Plugin error from dada2:An error was encountered while running DADA2 in R (return code 1)

my code is :
qiime dada2 denoise-paired \

–i-demultiplexed-seqs demux.qza
–p-trunc-len-f 300
–p-trunc-len-r 300
–o-table table.qza
–o-representative-sequences rep-seqs.qza
–o-denoising-stats denoising-stats.qza

error message : Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Debug info has been saved to /tmp/qiime2-q2cli-err-5wtqeg_3.log

I opend log:

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmptjn84tp1/forward /tmp/tmptjn84tp1/reverse /tmp/tmptjn84tp1/output.tsv.biom /tmp/tmptjn84tp1/track.tsv /tmp/tmptjn84tp1/filt_f /tmp/tmptjn84tp1/filt_r 300 300 0 0 2.0 2 consensus 1.0 1 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.1 / RcppParallel: 4.4.2

  1. Filtering .
  2. Learning Error Rates
    300 total bases in 1 reads from 1 samples will be used for learning the error rates.
    300 total bases in 1 reads from 1 samples will be used for learning the error rates.
  3. Denoise remaining samples .
  4. Remove chimeras (method = consensus)
    Error in isBimeraDenovoTable(unqs[[i]], …, verbose = verbose) :
    Input must be a valid sequence table.
    Calls: removeBimeraDenovo -> isBimeraDenovoTable
    Execution halted
    Warning message:
    system call failed: Cannot allocate memory
    Traceback (most recent call last):
    File “/home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 231, in denoise_paired
    run_commands([cmd])
    File “/home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmptjn84tp1/forward’, ‘/tmp/tmptjn84tp1/reverse’, ‘/tmp/tmptjn84tp1/output.tsv.biom’, ‘/tmp/tmptjn84tp1/track.tsv’, ‘/tmp/tmptjn84tp1/filt_f’, ‘/tmp/tmptjn84tp1/filt_r’, ‘300’, ‘300’, ‘0’, ‘0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/site-packages/q2cli/commands.py”, line 311, in call
results = action(**arguments)
File “</home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/site-packages/decorator.py:decorator-gen-451>”, line 2, in denoise_paired
File “/home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 365, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 246, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

where is the problem what ı must do help me please ?

Hi!
I had a similar error when I run out of free disk space for temp folder. The solution that worked for me is to export my temp directory on the drive with bigger capacity.

Hi ! I have three document. My pipeline code works for one document. I am trying deblur. deblur works for all my documents. But I dont know why dada2 working only one document and others not… Could you help me how can I change temp directory ? step by step

This error occurs when none of your reads overlap. See here (and search the forum archive) for more advice on diagnosing and correcting this error:

You may also not have enough memory. This is probably because your input reads are very noisy (you are not truncating enough), but you can find some more info on this error here:

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.